Skip to main content

Wait for transaction by hash

GET

Same as the Get Transaction by Hash API, but waits until the pending transaction is committed.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
txn_hashstringrequired
Hash of the transaction to query
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X GET 'https://aptos-mainnet.nodit.io/v1/transactions/wait_by_hash/0xc70d759708e676c0464406c65acdc913b7b7d0228d4c7a44fd357903fdf44419' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'